Subject: Re: [PWE3] Comment on < draft-ietf-pwe3-redundancy-bit-02.txt>

From: Veer Gorla <[email-masked]>
Date: Mon, 4 Jan 2010 23:10:03 -0500

Hi Mustapha,
  Thanks for  the clarification.  I agree with your resolution for both behaviors as such w.r.t to Standby/Active state transition.
However the use of  PW  redundancy  in VPLS  spoke/hub topology is mainly  for  Node level redundancy (active PE-rs node down and/or no reachability between MTU-s  to PE-rs) .  In such case  when PE-rs nodes are configured to not forward MAC flush,  MAC flush can not be generated  into mesh  as node has gone Down or  PW status is Down state.  To  cover this scenario, I was saying  it is better for MAC flush (Zero MAC List TLV) by newly active PE-rs node.

Thanks
Veer

________________________________
From: AISSAOUI Mustapha [mailto:[email-masked]]
Sent: Tuesday, December 29, 2009 7:20 PM
To: Veer Gorla; [email-masked]
Subject: RE: [PWE3] Comment on < draft-ietf-pwe3-redundancy-bit-02.txt>

Hi Veer,
sorry for the late reply.

Both behaviours are actually possible.

The case described in the draft is when the PE-rs nodes are configured to not forward the MAC flush message received from the MTU node over the newly active PW. In this case, it is up to the PE-rs node which had its PW transition to Standby state to generate a MAC flush to have the nodes in the VPLS mesh clear FIB entries they learned from this node.

The case you describe is when the PE-rs nodes are configured to forward the MAC flush message received from the MTU node over the newly active PW. In this case, the PE-rs node which had its PW transition to Active state must forward the MAC flush message to have the nodes in the VPLS mesh clear all FIB entries except those they learn from this node.
Let me know if you agree with this and I will add this in the next revision of the draft.

Regards,
Mustapha.
________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Veer Gorla
Sent: Wednesday, December 09, 2009 5:54 PM
To: [email-masked]
Subject: [PWE3] Comment on < draft-ietf-pwe3-redundancy-bit-02.txt>

Hi,
The draft says
Sec  4.1 & 4.2 . Standby State...
"If the PW is a spoke in H-VPLS, any MAC addresses learned via the PW should be flushed when it transitions to Standby state. "

This statement seems like implying that   MAC flush must be sent into the mesh by PE-rs node ( optionally)  inaddition to MTU-s node based on configuration.
I think  it is better for MAC flush to be triggered by newly active PE-rs node when it is transition to Active State. This could cover the case when the old-active
node goes down and it is unable to send out the flush.

Regards
Veer